classification
Title: Dead (and buggy) code due to mishandling of PyList_SetItem() errors
Type: behavior Stage: resolved
Components: Extension Modules Versions: Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, miss-islington, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2018-12-08 10:04 by ZackerySpytz, last changed 2018-12-19 15:33 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11033 merged ZackerySpytz, 2018-12-08 10:07
PR 11037 merged miss-islington, 2018-12-08 14:17
PR 11038 merged miss-islington, 2018-12-08 14:17
PR 11234 merged serhiy.storchaka, 2018-12-19 10:02
Messages (6)
msg331382 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-08 14:17
New changeset 99d56b53560b3867844472ae381fb3f858760621 by Serhiy Storchaka (Zackery Spytz) in branch 'master':
bpo-35441: Remove dead and buggy code related to PyList_SetItem(). (GH-11033)
https://github.com/python/cpython/commit/99d56b53560b3867844472ae381fb3f858760621
msg331383 - (view) Author: miss-islington (miss-islington) Date: 2018-12-08 14:34
New changeset 8b7d8ac09cc0f736d0c3a39d838814d7ae253021 by Miss Islington (bot) in branch '3.7':
bpo-35441: Remove dead and buggy code related to PyList_SetItem(). (GH-11033)
https://github.com/python/cpython/commit/8b7d8ac09cc0f736d0c3a39d838814d7ae253021
msg331384 - (view) Author: miss-islington (miss-islington) Date: 2018-12-08 14:39
New changeset 25555e0fbed15f809a247c7e16ab9d0a0088f806 by Miss Islington (bot) in branch '3.6':
bpo-35441: Remove dead and buggy code related to PyList_SetItem(). (GH-11033)
https://github.com/python/cpython/commit/25555e0fbed15f809a247c7e16ab9d0a0088f806
msg331855 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-14 19:26
Can this be closed?
msg331858 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-14 19:31
Needed to backport it to 2.7.
msg332145 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-19 15:11
New changeset 89b5ea297d67f5efeb8fca0b63fa3d9f7030b2f0 by Serhiy Storchaka in branch '2.7':
[2.7] bpo-35441: Remove dead and buggy code related to PyList_SetItem(). (GH-11033) (GH-11234)
https://github.com/python/cpython/commit/89b5ea297d67f5efeb8fca0b63fa3d9f7030b2f0
History
Date User Action Args
2018-12-19 15:33:52serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-19 15:11:06serhiy.storchakasetmessages: + msg332145
2018-12-19 10:02:07serhiy.storchakasetpull_requests: + pull_request10468
2018-12-14 19:31:26serhiy.storchakasetmessages: + msg331858
2018-12-14 19:26:35terry.reedysetnosy: + terry.reedy
messages: + msg331855
2018-12-08 14:39:40miss-islingtonsetmessages: + msg331384
2018-12-08 14:34:53miss-islingtonsetnosy: + miss-islington
messages: + msg331383
2018-12-08 14:17:42miss-islingtonsetpull_requests: + pull_request10275
2018-12-08 14:17:20miss-islingtonsetpull_requests: + pull_request10274
2018-12-08 14:17:02serhiy.storchakasetmessages: + msg331382
2018-12-08 10:07:40ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request10270
2018-12-08 10:05:46serhiy.storchakasetnosy: + serhiy.storchaka
2018-12-08 10:04:58ZackerySpytzcreate